## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pydeps

%global desc %{expand: \
Python module dependency visualization. This package installs the pydeps
command, and normal usage will be to use it from the command line.}

%bcond_without check

%global forgeurl https://github.com/thebjorn/pydeps

Name:		%{pypi_name}
Version:	1.10.24
Release:	%autorelease
Summary:	Display module dependencies
License:	BSD
%forgemeta
URL:		%forgeurl
Source0:	%forgesource
BuildArch:	noarch

%{?python_enable_dependency_generator}

BuildRequires:	python3-devel
%if %{with check}
BuildRequires:	python3-pytest
BuildRequires:	python3dist(pyyaml)
BuildRequires:	graphviz
%endif

%description
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version} -N

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
# Exclude failing tests:
# https://github.com/thebjorn/pydeps/issues/71
%pytest -k "not (test_file or test_relative_imports_same_name_with_std \
or test_pydeps_colors or test_find_package_names)"
%endif

%files -n %{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pydeps

%changelog
* Sun Oct 30 2022 Sandro <devel@penguinpee.nl> - 1.10.24-1
- Update to 1.10.24

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.10.18-2
- Rebuilt for Python 3.11

* Sat May 07 2022 Antonio Trande <sagitter@fedoraproject.org> - 1.10.18-1
- Release 1.10.18

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 09 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.12-1
- Release 1.10.12

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-4
- Remove patch
- Remove all Requires packages

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-3
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666) /3

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-2
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666) /2

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-1
- Release 1.10.5
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666)

* Fri Sep 24 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.3-1
- Release 1.10.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.9.13-1
- Release 1.9.13
- Disable tests (upstream bug #95)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.9.10-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Luis Bazan <lbazan@fedoraproject.org> - 1.9.10-1
- New upstream version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.9.9-1
- Update to new release

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.9.3-2
- Rebuilt for Python 3.9

* Wed May 13 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.9.3-1
- New upstream version

* Thu Apr 23 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.9.0-1
- New upstream version

* Wed Apr 22 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.8.8-1
- Initial package

